#!/bin/bash -f

export FLIP_HOME="/home/user/Desktop/flip.3.2.1/bin" #this should point to wherever you put the flip/bin
export JAVA_HOME="/usr/lib/jvm/java-6-openjdk/jre" #this is where you have your java installation
				#Handy (but slow) command to find this: ls -R / | grep "/lib/i386/client"


export LD_LIBRARY_PATH="$FLIP_HOME:$JAVA_HOME/lib/i386/client:$LD_LIBRARY_PATH"
export PATH="$FLIP_HOME:$PATH"
echo =====================================================
echo JAVA_HOME = $JAVA_HOME
echo =====================================================
echo LD_LIBRARY_PATH = $LD_LIBRARY_PATH
echo =====================================================
echo PATH = $PATH
echo =====================================================
echo = start batchisp 
echo =====================================================
cd $FLIP_HOME
$FLIP_HOME/batchisp3 -device at32uc3b0128 -hardware usb -operation erase f memory user addrange 0x1FC 0x1FC fillbuffer 0x92 program
$FLIP_HOME/batchisp3 -device at32uc3b0128 -hardware usb -operation erase f memory user addrange 0x1FD 0x1FD fillbuffer 0x9E program
$FLIP_HOME/batchisp3 -device at32uc3b0128 -hardware usb -operation erase f memory user addrange 0x1FE 0x1FE fillbuffer 0x0D program
$FLIP_HOME/batchisp3 -device at32uc3b0128 -hardware usb -operation erase f memory user addrange 0x1FF 0x1FF fillbuffer 0x6B program
$FLIP_HOME/batchisp3 -device at32uc3b0128 -hardware usb -operation erase f memory flash blankcheck loadbuffer uc3b1128-grindatalogger_standalone.elf program verify
$FLIP_HOME/batchisp3 -device at32uc3b0128 -hardware usb -operation start reset 0
echo
echo =====================================================
echo = end batchisp
echo =====================================================
#end of script
